Subject: [rtcweb] JSEP and ice-pacing attribute

From: Christer Holmberg <[email-masked]>
Date: Tue, 30 Jul 2019 20:08:36 +0000

Hi,

I noted that JSEP does not specify the usage of the ice-pacing attribute. Is there a reason for that? It does explicitly specify how all the other ICE related SDP attributes are used.

Regards,

Christer

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 30 Jul 2019 23:55:44 +0200

Den 30.07.2019 22:08, skrev Christer Holmberg:
> Hi,
> 
>  
> 
> I noted that JSEP does not specify the usage of the ice-pacing
> attribute. Is there a reason for that? It does explicitly specify how
> all the other ICE related SDP attributes are used.

I think we overlooked it.

"ice-pacing" was introduced in draft-ietf-mmusic-ice-sip-sdp-03 (July
2014), so we can't claim it's because it's too new..... JSEP was only at
its version -07 at that time.

According to RFC 8445 section 14.2, this attribute sets the value of the
Ta timer (or at least this is the only interpretation that I can see
that makes sense).

According to draft-ietf-mmusic-ice-sip-sdp-36, "ice-pacing" only allows
increasing the value of Ta to a value larger than its default (50 ms)
(while 8445 seems to indicate that a single agent can go all the way
down to 5 ms, but not lower).

I'm happy to interpret jsep's silence on the matter as "does not define
additional rules for ice-pacing", and leave it on the list of issues to
consider when JSEP is revised.

> 
>  
> 
> Regards,
> 
>  
> 
> Christer
> 
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: Justin Uberti <[email-masked]>
Date: Tue, 30 Jul 2019 21:36:13 -0700

Right, I don't think JSEP has much to say on the matter here - the pacing
isn't exposed as an API to the application, so default values (or ones
close to the defaults) will typically be used.

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 31 Jul 2019 06:02:26 +0000

Hi Harald,

> "ice-pacing" was introduced in draft-ietf-mmusic-ice-sip-sdp-03 (July 2014), so we can't claim
> it's because it's too new..... JSEP was only at its version -07 at that time.
>
> According to RFC 8445 section 14.2, this attribute sets the value of the Ta timer (or at least this 
> is the only interpretation that I can see that makes sense).

Correct.

> According to draft-ietf-mmusic-ice-sip-sdp-36, "ice-pacing" only allows increasing the value of Ta 
> to a value larger than its default (50 ms) (while 8445 seems to indicate that a single agent can go 
> all the way down to 5 ms, but not lower).

I gave the exact same comment some time ago, wrote a PR about it, and it has now been fixed in -37, that was submitted yesterday :)

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 31 Jul 2019 06:05:13 +0000

Hi,

>Right, I don't think JSEP has much to say on the matter here - the pacing isn't exposed as an API to the >application, so default values (or ones close to the defaults) will typically be used.

If something is NOT used/exposed, I think that would have been good to indicate.

But, I realize it’s late in the process, so I’ll leave it at there. Just wanted to clarify.

Regards,

Christer

On Tue, Jul 30, 2019 at 2:56 PM Harald Alvestrand <[email-masked]<mailto:[email-masked]>> wrote:

> [email-masked]<mailto:[email-masked]>

_______________________________________________
rtcweb mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtcweb